package com.yanzhu.jh.project.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.apache.logging.log4j.util.Strings;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.project.mapper.SurProjectStandardMapper;
import com.yanzhu.jh.project.domain.SurProjectStandard;
import com.yanzhu.jh.project.service.ISurProjectStandardService;
import com.ruoyi.common.utils.SecurityUtils;
/**
 * 标准化管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-09-19
 */
@Service
public class SurProjectStandardServiceImpl implements ISurProjectStandardService 
{
    @Autowired
    private SurProjectStandardMapper surProjectStandardMapper;

    /**
     * 查询标准化管理
     * 
     * @param id 标准化管理主键
     * @return 标准化管理
     */
    @Override
    public SurProjectStandard selectSurProjectStandardById(Long id)
    {
        return surProjectStandardMapper.selectSurProjectStandardById(id);
    }

    /**
     * 查询标准化管理列表
     * 
     * @param surProjectStandard 标准化管理
     * @return 标准化管理
     */
    @Override
    public List<SurProjectStandard> selectSurProjectStandardList(SurProjectStandard surProjectStandard)
    {
        return surProjectStandardMapper.selectSurProjectStandardList(surProjectStandard);
    }

    /**
     * 新增标准化管理
     * 
     * @param surProjectStandard 标准化管理
     * @return 结果
     */
    @Override
    public int insertSurProjectStandard(SurProjectStandard surProjectStandard)
    {
        surProjectStandard.setCreateBy(SecurityUtils.getUsername());
        surProjectStandard.setCreateTime(DateUtils.getNowDate());
        return surProjectStandardMapper.insertSurProjectStandard(surProjectStandard);
    }

    /**
     * 修改标准化管理
     * 
     * @param surProjectStandard 标准化管理
     * @return 结果
     */
    @Override
    public int updateSurProjectStandard(SurProjectStandard surProjectStandard)
    {
        surProjectStandard.setUpdateBy(SecurityUtils.getUsername());
        surProjectStandard.setUpdateTime(DateUtils.getNowDate());
        return surProjectStandardMapper.updateSurProjectStandard(surProjectStandard);
    }

    /**
     * 批量删除标准化管理
     * 
     * @param ids 需要删除的标准化管理主键
     * @return 结果
     */
    @Override
    public int deleteSurProjectStandardByIds(Long[] ids)
    {
        return surProjectStandardMapper.deleteSurProjectStandardByIds(ids);
    }

    /**
     * 删除标准化管理信息
     * 
     * @param id 标准化管理主键
     * @return 结果
     */
    @Override
    public int deleteSurProjectStandardById(Long id)
    {
        return surProjectStandardMapper.deleteSurProjectStandardById(id);
    }

    @Override
    public int insertSurProjectStandards(SurProjectStandard surProjectStandard) {
        String imgFile=surProjectStandard.getImageFile();
        surProjectStandard.setOrd(1l);
        String[] images=imgFile.split(",");
        int n=0;
        for(String img :images){
            if(Strings.isNotEmpty(img)){
                surProjectStandard.setImageFile(img);
                n+=insertSurProjectStandard(surProjectStandard);
            }
        }
        return  n;
    }
}
